<?php

/**
 * @file
 * Default theme implementation to display a Kaltura audio using responsive
 * embed.
 *
 * Available variables:
 * - $domain: .
 * - $partner_id: .
 * - $subpartner_id: .
 * - $uiconf_id: .
 * - $entry_id: .
 * - $player_id: .
 * - $width: .
 * - $height: .
 *
 * @see template_preprocess()
 * @see template_preprocess_page()
 * @see template_process()
 */
?>

<!-- Make sure there is a wrapper so media WYSIWYG module can embed properly -->
<div>

  <script src="//<?php print $domain; ?>/p/<?php print $partner_id; ?>/sp/<?php print $subpartner_id; ?>/embedIframeJs/uiconf_id/<?php print $uiconf_id; ?>/partner_id/<?php print $partner_id; ?>"></script>
  <div style="width: 100%; display: inline-block; position: relative; max-width: <?php print $width; ?>px; max-height: <?php print $height; ?>px;">
    <div id="dummy" style="margin-top: 56.25%;"></div>
    <div id="<?php print $player_id; ?>" style="position:absolute; top:0; left:0; left: 0; right: 0; bottom:-20px;" itemprop="video" itemscope itemtype="http://schema.org/VideoObject">
    </div>
  </div>
  <script>
    var conf = {
      targetId: '<?php print $player_id; ?>',
      wid: '_<?php print $partner_id; ?>',
      uiconf_id: '<?php print $uiconf_id; ?>',
      entry_id: '<?php print $entry_id; ?>',
      flashvars: {},
      params: {
        'wmode': 'transparent'
      }
    };

    // Lead with HTML5 if supported. Also don't add title label or logo if
    // using flash since there seems to be an issue with loading the plugin.
    if (kWidget.supportsHTML5()) {
      mw.setConfig('KalturaSupport.LeadWithHTML5', true);
      conf.flashvars.titleLabel = {
        'plugin': <?php isset($title) ? print 'true' : print 'false'; ?>,
        'align': 'left',
        'text': '<?php print $title; ?>'
      };
      conf.flashvars.logo = {
        'plugin': <?php isset($logo_img) ? print 'true' : print 'false'; ?>,
        'img': '<?php isset($logo_img) ? print $logo_img : ''; ?>',
        'href': '<?php isset($logo_href) ? print $logo_href : ''; ?>',
        'title': '<?php isset($logo_title) ? print $logo_title : ''; ?>'
      };
    }

    // Set auto play option.
    conf.flashvars.autoPlay = <?php print $autoplay; ?>;

    // Enable KS auth if relevant.
    conf.flashvars.ks = '<?php print $session; ?>';

    // Embed the video.
    kWidget.embed(conf);
  </script>
</div>
